Subject: 29.0.50; flymake-show-buffer-diagnostics does not enable flymake-mode

From: No Wayman <[email-masked]>
Date: Sun, 24 Apr 2022 14:45:28 -0400

flymake-show-buffer-diagnostics will display an empty diagnostics 
buffer if flymake-mode is not enabled in that buffer. This is 
confusing, as it makes it appear as if there are no issues, when 
that may not be the case.
The command should either signal a user-error or (IMO better) 
enable flymake mode in the buffer if it is not already enabled.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.33, cairo version 1.17.6)
 of 2022-04-20 built on arch
Repository revision: f98c3f4426fecf794f47f27aebe1f3b854fb1bfd
Repository branch: master
System Description: Arch Linux